Delete all OAuth delegations
Delete all OAuth delegations as per provided query parameters.
An OAuth delegation represents an instance of a user or account's authorization to an app (via OAuth) to access their PagerDuty account. Common apps include the PagerDuty mobile app, Slack, Microsoft Teams, and third-party apps. It also represents a user session in the PagerDuty web app.
Deleting an OAuth delegation will revoke that instance of an app's access to that user or account. To grant access again, reauthorization/reauthentication will be required.
This endpoint supports deleting mobile app OAuth delegations for a given user, which is equivalent to signing users out of the mobile app. It also supports deleting delegations of type web, which is equivalent to signing users out of the web app.
This is a synchronous API.
Scoped OAuth requires: oauth_delegations.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The ID of the user for whom this request is applicable.
The type of OAuth delegations this request should target. Allowed values are 'mobile' (to sign users out of the mobile app) and 'web' (to sign users out of the web app). You can pass one or more types in, separated by commas (e.g., type=web,mobile).
Value in
- "mobile"
- "web"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
List notifications GET
List notifications for a given time range, optionally filtered by type (sms_notification, email_notification, phone_notification, or push_notification). A Notification is created when an Incident is triggered or escalated. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#notifications) Scoped OAuth requires: `users:notifications.read`
Delete all OAuth delegations DELETE
Delete all OAuth delegations as per provided query parameters. An OAuth delegation represents an instance of a user or account's authorization to an app (via OAuth) to access their PagerDuty account. Common apps include the PagerDuty mobile app, Slack, Microsoft Teams, and third-party apps. It also represents a user session in the PagerDuty web app. Deleting an OAuth delegation will revoke that instance of an app's access to that user or account. To grant access again, reauthorization/reauthentication will be required. This endpoint supports deleting mobile app OAuth delegations for a given user, which is equivalent to signing users out of the mobile app. It also supports deleting delegations of type web, which is equivalent to signing users out of the web app. This is a synchronous API. Scoped OAuth requires: `oauth_delegations.write`